declare const capitalize: (str: string) => string;
declare const makeEnumPretty: (enumValue: string, capitalizeAllWords?: boolean) => string;
declare function removeChars(value: string, beginIndex: number, endIndex?: number): string;
declare function isString(str: unknown): str is string;
declare function removeCommas(value: string): string;
declare function removeNonDigit(value: string): string;
declare function addCommasToVariableDecimal(value: string | number, decimals: number): string;
declare function addCommasToDigits(value: string | number): string;
declare function removeLeadingZeros(value: string): string;
type ElideObjArgs = {
    maxChars: number;
    ellipsisPosition?: "start" | "middle" | "end" | number;
};
type ElideArgs = number | ElideObjArgs;
declare function elide(value: string, elideArgs?: ElideArgs): string;

export { type ElideArgs, type ElideObjArgs, addCommasToDigits, addCommasToVariableDecimal, capitalize, elide, isString, makeEnumPretty, removeChars, removeCommas, removeLeadingZeros, removeNonDigit };
